Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041090
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformtrivialhave not tried2019-06-13 12:432019-06-17 19:39
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revisionbc7561d6d981
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041090: missing log context info when setting an incorrect org in OBContext

DescriptionWhen trying to set in OBContext as default organization one that is not writable for the current role, the following warning message is logged:
  
   The user 100 does not have write access to its current organization repairing that

This message lacks important information:
  * Which role is using that user
  * Which organization was originally set as default
  * Which organization is finally set
  * From which piece of code this was invoked (to help to fix it)
Steps To ReproduceBefore fix for 0041088, run, for example, org.openbravo.test.webservice.WSReadTest.testPagedWhereClause test case.
  -> Check in the log appears that warning message
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0041088 closedalostale incorrect organization warn message logged in some test cases 
blocks design defect 0036162 acknowledgedplatform clean up openbravo.log 

-  Notes
(0112802)
hgbot (developer)
2019-06-17 09:08

Repository: erp/devel/pi
Changeset: bc7561d6d981f467de80600c0edb0a9dada0572b
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Jun 13 13:01:03 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/bc7561d6d981f467de80600c0edb0a9dada0572b [^]

fixed bug 41090: missing context info if setting an incorrect org in OBContext

  Including now in log:
   * Identifiers together with IDs, ie. to know username in addtion to their ID
   * Which role is using that user
   * Which organization was originally set as default
   * Which organization is finally set
   * From which piece of code this was invoked (to help to fix it)

---
M src/org/openbravo/dal/core/OBContext.java
---
(0112816)
hgbot (developer)
2019-06-17 13:06

Repository: erp/devel/pi
Changeset: 9a3d32c7e594e63770b651d6a0b13c556d146a1d
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Jun 17 13:06:35 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/9a3d32c7e594e63770b651d6a0b13c556d146a1d [^]

related to bug 41090: fixed warn message

---
M src/org/openbravo/dal/core/OBContext.java
---
(0112818)
hudsonbot (developer)
2019-06-17 13:32

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0d93e33c5440 [^]
Maturity status: Test
(0112825)
caristu (developer)
2019-06-17 13:54

Revieved
(0112842)
hudsonbot (developer)
2019-06-17 19:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2ad95dac1570 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-06-13 12:43 alostale New Issue
2019-06-13 12:43 alostale Assigned To => platform
2019-06-13 12:43 alostale Modules => Core
2019-06-13 12:43 alostale Triggers an Emergency Pack => No
2019-06-13 12:43 alostale Relationship added related to 0041088
2019-06-13 12:43 alostale Assigned To platform => alostale
2019-06-13 13:37 ngarcia Issue Monitored: ngarcia
2019-06-14 09:36 ivancaceres Issue Monitored: ivancaceres
2019-06-17 08:43 alostale Summary missing context info when setting an incorrect org in OBContext => missing log context info when setting an incorrect org in OBContext
2019-06-17 08:44 alostale Relationship added blocks 0036162
2019-06-17 09:08 hgbot Checkin
2019-06-17 09:08 hgbot Note Added: 0112802
2019-06-17 09:08 hgbot Status new => resolved
2019-06-17 09:08 hgbot Resolution open => fixed
2019-06-17 09:08 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/bc7561d6d981f467de80600c0edb0a9dada0572b [^]
2019-06-17 09:09 alostale Review Assigned To => caristu
2019-06-17 13:06 hgbot Checkin
2019-06-17 13:06 hgbot Note Added: 0112816
2019-06-17 13:32 hudsonbot Checkin
2019-06-17 13:32 hudsonbot Note Added: 0112818
2019-06-17 13:54 caristu Note Added: 0112825
2019-06-17 13:54 caristu Status resolved => closed
2019-06-17 13:54 caristu Fixed in Version => 3.0PR19Q3
2019-06-17 19:39 hudsonbot Checkin
2019-06-17 19:39 hudsonbot Note Added: 0112842


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker